Bug 39668 - Improve design of the app installation pages
Improve design of the app installation pages
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UMC - App-Center
UCS 4.1
Other Linux
: P5 normal (vote)
: UCS 4.1
Assigned To: Alexander Kläser
Stefan Gohmann
: interim-3
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-29 10:42 CET by Alexander Kläser
Modified: 2015-11-17 12:12 CET (History)
2 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional): Design, Usability
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Kläser univentionstaff 2015-10-29 10:42:31 CET
When installing an app, there are several issues that could be improved:
* The page for choosing a server for the installation does not look well.
* If there is only one server to choose from, this page does not need to be 
  displayed.
* The layout (on larger displays) with buttons on the left side and more 
  information on the right side does not feel very intuitive.
* It is not necessary to prompt to the user the list of all packages that are
  going to be installed. This list would be better hidden, yet still accessible.
* When installing a docker image, the right side of the page is void.
* The dialogue pages are displayed within the UMC module, however, the license
  information is displayed as a popup.
Comment 1 Dirk Wiesenthal univentionstaff 2015-11-06 10:52:16 CET
(In reply to Alexander Kläser from comment #0)
> When installing an app, there are several issues that could be improved:
> * The page for choosing a server for the installation does not look well.
> * If there is only one server to choose from, this page does not need to be 
>   displayed.

Not necessarily. There may be only one server to choose from. But if this is not localhost, I would recommend to show the page.

> * The layout (on larger displays) with buttons on the left side and more 
>   information on the right side does not feel very intuitive.
> * It is not necessary to prompt to the user the list of all packages that are
>   going to be installed. This list would be better hidden, yet still
> accessible.

Some apps actually uninstall some packages while installing their own due to Conflicts. Maybe this is slightly more interesting?

> * When installing a docker image, the right side of the page is void.

In general, the right side is for UCR variables that configure the docker container.

> * The dialogue pages are displayed within the UMC module, however, the
> license
>   information is displayed as a popup.

This also holds for all kinds of README.
Comment 2 Alexander Kläser univentionstaff 2015-11-09 18:17:43 CET
From Bug 39526, comment 3:
> Bug 38894, comment #18 not fixed
> 
> As discussed, I always return installations information. If
> appcenter/domainwide is false, only the localhost will be listed.
> 
> In this case, the Grid does not lead to JS errors anymore, but the Choose
> Host dialog is still shown. We talked about skipping it if the list only
> contains localhost
Comment 3 Alexander Kläser univentionstaff 2015-11-12 04:06:45 CET
Fixed. In detail, I adjusted the following issues:

(1) Adjust layout and texts during installation process
    * The detailed package listing is now closed and nicely summarized
    * The dark grey button is aligned to the right
(2) Merge navigation and main layout elements, limit their max width
(3) Skip page for choosing the host if only one host is present in domain
    (respecting the hint given in comment 1)
(4) Prompt license agreement at the very beginning
    (it used to be prompted after selecting the host)
(5) Move cancel/apply buttons from AppConfigDialog into module header
    (that is the place where they are found in other modules, too)
(6) Use pointing mouse cursor over status icons in AppCenterGallery
(7) Fix module URI during installation process
    (the URI changed to the gallery view during the installation process)

That should be enough for a first step.

@QA: Please also check some error situations when installing (/removing?) an app and check the docker installation, as well as the docker configuration dialog.


Changelog:
r65437 | Bug #39668: added changelog entry

univention-appcenter (5.0.19-1):
r65436 | Bug #39668: Adjust layout elements + texts during installation process
Comment 4 Stefan Gohmann univentionstaff 2015-11-12 07:04:30 CET
Very nice. I really like it.

I've tested 
 - a normal installation (OK)
 - a normal docker installation (OK)
 - a docker installation with configuration dialog (OK)
 - removing a docker app (OK
 - removing a normal app (OK)
 - a App installation with a license dialog (OK)
 - conflicted app installation (OK)
 - conflicted packeg installation (OK)
 - the Docker config dialog (OK)
 - a package error while testing the App installation (OK)
 - domain installation (OK)
Comment 5 Stefan Gohmann univentionstaff 2015-11-17 12:12:32 CET
UCS 4.1 has been released:
 https://docs.software-univention.de/release-notes-4.1-0-en.html
 https://docs.software-univention.de/release-notes-4.1-0-de.html

If this error occurs again, please use "Clone This Bug".